=== modified file 'NEWS'
--- NEWS	2008-09-24 04:52:40 +0000
+++ NEWS	2008-10-01 22:30:30 +0000
@@ -3,6 +3,10 @@
 
 dev [future]
 
+    - Fix bug #258710 ("the /files page explodes in an empty branch").
+      Also minor improvements to the /files and /changes pages.
+      (Marius Kruger)
+
     - Added --port, --host and --prefix options to serve-branches
       script. (Martin Albisetti)
 

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-09-24 04:54:18 +0000
+++ loggerhead/apps/branch.py	2008-10-01 16:39:00 +0000
@@ -109,11 +109,13 @@
             raise httpexceptions.HTTPNotFound()
         self.branch.lock_read()
         try:
-            c = cls(self, self.get_history())
-            return c(environ, start_response)
-        except:
-            environ['exc_info'] = sys.exc_info()
-            environ['branch'] = self
-            raise
+            try:
+                c = cls(self, self.get_history())
+                return c(environ, start_response)
+            except:
+                environ['exc_info'] = sys.exc_info()
+                environ['branch'] = self
+                raise
         finally:
             self.branch.unlock()
+

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-10-01 22:15:10 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-10-01 22:23:24 +0000
@@ -20,7 +20,7 @@
 import logging
 import posixpath
 
-from paste.httpexceptions import HTTPNotFound, HTTPServerError
+from paste.httpexceptions import HTTPServerError
 
 from bzrlib.revision import is_null as is_null_rev
 

